## org.codehaus.groovy.runtime
Class DefaultGroovyMethodsSupport

Support methods for DefaultGroovyMethods and PluginDefaultMethods.

Constructor Summary
`DefaultGroovyMethodsSupport()`

Method Summary
`static int` | `normaliseIndex(int i, int size)` This converts a possibly negative index to a real index into the array.
`static RangeInfo` | `subListBorders(int size, IntRange range)`
`static RangeInfo` | `subListBorders(int size, EmptyRange range)`

Constructor Detail

### DefaultGroovyMethodsSupport

    DefaultGroovyMethodsSupport()

Method Detail

### normaliseIndex

    static int normaliseIndex(int i, int size)

  This converts a possibly negative index to a real index into the array.
  param:
    i the unnormalised index
  param:
    size the array size
  return:
    the normalised index

### subListBorders

    static RangeInfo subListBorders(int size, IntRange range)

### subListBorders

    static RangeInfo subListBorders(int size, EmptyRange range)